﻿@{
    var adminAccessLevel = Context.Items[ItemKey.Member.Admin] as BeamAndGo.Member.Admin.MemberAdmin;
}

<ul class="uk-nav uk-nav-default">
    <li id="sidemenu-store" class="uk-parent">
        <span style="color: #f2573b" class="uk-nav-header">Administration</span>
        <ul class="uk-nav-sub">
            <li><a asp-page="/Member/List">Manage Members</a></li>

            @if (Context.Items.ContainsKey(ItemKey.Member.Admin))
            {
                @if (adminAccessLevel.AccessLevel == BeamAndGo.Member.Admin.MemberAdminAccessLevel.SuperAdmin)
                {
                    <li><a asp-page="/Admin/List">Manage Admins</a></li>
                    <li><a asp-page="/PreferenceType/List">Preference Types</a></li>
                    <li><a asp-page="/RelationshipType/List">Relationship Types</a></li>
                }
            }
        </ul>
    </li>

    <li id="sidemenu-store" class="uk-parent">
        <span style="color: #f2573b" class="uk-nav-header">Aggregate Reports</span>
        <ul class="uk-nav-sub">
            <li><a asp-page="/">Family Size</a></li>
            <li><a asp-page="/">Consumer Spending</a></li>
            <li><a asp-page="/">Responsibility Tracking</a></li>
        </ul>
    </li>
</ul>